«ошибка предварительной компиляции ресурсов» при отправке приложения rails в heroku

Я изучаю курс Ruby on Rails и пытаюсь отправить приложение на Heroku. Я просмотрел более старые сообщения StackOverflow об этой же проблеме, но ни одно из этих предложений мне не помогло. Ниже приведен протокол моей попытки. Буду признателен за любую помощь. Спасибо.

Мне говорят добавить больше текста. основные ошибки выглядят так:

«Ошибка предварительной компиляции ресурсов»

"Хук предварительного приема отклонен"

ID 52540144-6b6d-4959-95a0-b9350d45a774
 !     Warning: Multiple default buildpacks reported the ability to handle this app. The first buildpack in the list below will be used.
            Detected buildpacks: Ruby,Node.js
            See https://devcenter.heroku.com/articles/buildpacks#buildpack-detect-order
-----> Ruby app detected
-----> Compiling Ruby/Rails
-----> Using Ruby version: ruby-2.5.1
-----> Installing dependencies using bundler 1.15.2
       Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment
       Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.5). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
       Fetching gem metadata from https://rubygems.org/.........
       Fetching version metadata from https://rubygems.org/..
       Fetching dependency metadata from https://rubygems.org/.
       Fetching rake 12.3.1
       Fetching concurrent-ruby 1.0.5
       Fetching minitest 5.11.3
       Installing minitest 5.11.3
       Installing concurrent-ruby 1.0.5
       Installing rake 12.3.1
       Fetching thread_safe 0.3.6
       Installing thread_safe 0.3.6
       Fetching builder 3.2.3
       Installing builder 3.2.3
       Fetching erubi 1.7.1
       Installing erubi 1.7.1
       Fetching mini_portile2 2.3.0
       Installing mini_portile2 2.3.0
       Fetching crass 1.0.4
       Installing crass 1.0.4
       Fetching rack 2.0.5
       Fetching nio4r 2.3.1
       Installing nio4r 2.3.1 with native extensions
       Installing rack 2.0.5
       Fetching websocket-extensions 0.1.3
       Installing websocket-extensions 0.1.3
       Fetching mini_mime 1.0.1
       Installing mini_mime 1.0.1
       Fetching arel 9.0.0
       Installing arel 9.0.0
       Fetching mimemagic 0.3.2
       Fetching execjs 2.7.0
       Installing execjs 2.7.0
       Fetching msgpack 1.2.4
       Installing mimemagic 0.3.2
       Installing msgpack 1.2.4 with native extensions
       Fetching popper_js 1.14.3
       Installing popper_js 1.14.3
       Fetching rb-fsevent 0.10.3
       Installing rb-fsevent 0.10.3
       Fetching ffi 1.9.25
       Installing ffi 1.9.25 with native extensions
       Using bundler 1.15.2
       Fetching coffee-script-source 1.12.2
       Installing coffee-script-source 1.12.2
       Fetching method_source 0.9.0
       Installing method_source 0.9.0
       Fetching thor 0.20.0
       Installing thor 0.20.0
       Fetching multi_json 1.13.1
       Installing multi_json 1.13.1
       Fetching pg 1.1.3
       Installing pg 1.1.3 with native extensions
       Fetching puma 3.12.0
       Installing puma 3.12.0 with native extensions
       Fetching tilt 2.0.8
       Installing tilt 2.0.8
       Fetching turbolinks-source 5.2.0
       Installing turbolinks-source 5.2.0
       Fetching tzinfo 1.2.5
       Installing tzinfo 1.2.5
       Fetching i18n 1.1.1
       Installing i18n 1.1.1
       Fetching nokogiri 1.8.5
       Installing nokogiri 1.8.5 with native extensions
       Fetching websocket-driver 0.7.0
       Installing websocket-driver 0.7.0 with native extensions
       Fetching mail 2.7.1
       Installing mail 2.7.1
       Fetching rack-test 1.1.0
       Installing rack-test 1.1.0
       Fetching sprockets 3.7.2
       Installing sprockets 3.7.2
       Fetching autoprefixer-rails 9.3.1
       Installing autoprefixer-rails 9.3.1
       Fetching uglifier 4.1.19
       Installing uglifier 4.1.19
       Fetching marcel 0.3.3
       Installing marcel 0.3.3
       Fetching coffee-script 2.4.1
       Installing coffee-script 2.4.1
       Fetching bootsnap 1.3.2
       Installing bootsnap 1.3.2 with native extensions
       Fetching rb-inotify 0.9.10
       Installing rb-inotify 0.9.10
       Fetching turbolinks 5.2.0
       Installing turbolinks 5.2.0
       Fetching activesupport 5.2.1
       Installing activesupport 5.2.1
       Fetching loofah 2.2.3
       Installing loofah 2.2.3
       Fetching sass-listen 4.0.0
       Installing sass-listen 4.0.0
       Fetching rails-dom-testing 2.0.3
       Installing rails-dom-testing 2.0.3
       Fetching globalid 0.4.1
       Installing globalid 0.4.1
       Fetching activemodel 5.2.1
       Fetching jbuilder 2.7.0
       Installing activemodel 5.2.1
       Installing jbuilder 2.7.0
       Fetching rails-html-sanitizer 1.0.4
       Installing rails-html-sanitizer 1.0.4
       Fetching sass 3.6.0
       Fetching activejob 5.2.1
       Installing activejob 5.2.1
       Installing sass 3.6.0
       Fetching activerecord 5.2.1
       Fetching actionview 5.2.1
       Installing activerecord 5.2.1
       Installing actionview 5.2.1
       Fetching actionpack 5.2.1
       Installing actionpack 5.2.1
       Fetching bootstrap 4.1.3
       Installing bootstrap 4.1.3
       Fetching bootstrap-sass 3.3.7
       Installing bootstrap-sass 3.3.7
       Fetching actioncable 5.2.1
       Installing actioncable 5.2.1
       Fetching actionmailer 5.2.1
       Installing actionmailer 5.2.1
       Fetching activestorage 5.2.1
       Installing activestorage 5.2.1
       Fetching railties 5.2.1
       Installing railties 5.2.1
       Fetching sprockets-rails 3.2.1
       Installing sprockets-rails 3.2.1
       Fetching jquery-rails 4.3.3
       Fetching coffee-rails 4.2.2
       Fetching rails 5.2.1
       Installing coffee-rails 4.2.2
       Installing rails 5.2.1
       Fetching sass-rails 5.0.7
       Installing sass-rails 5.0.7
       Installing jquery-rails 4.3.3
       Bundle complete! 19 Gemfile dependencies, 66 gems now installed.
       Gems in the groups development and test were not installed.
       Bundled gems are installed into ./vendor/bundle.
       Post-install message from sass:

       Ruby Sass is deprecated and will be unmaintained as of 26 March 2019.

       * If you use Sass as a command-line tool, we recommend using Dart Sass, the new
         primary implementation: https://sass-lang.com/install

       * If you use Sass as a plug-in for a Ruby web framework, we recommend using the
         sassc gem: https://github.com/sass/sassc-ruby#readme

       * For more details, please refer to the Sass blog:
         http://sass.logdown.com/posts/7081811

       Bundle completed (47.12s)
       Cleaning up the bundler cache.
       Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.5). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
       The latest bundler is 1.17.1, but you are currently running 1.15.2.
       To update, run `gem install bundler`
-----> Installing node-v8.10.0-linux-x64
-----> Detecting rake tasks
-----> Preparing app for Rails asset pipeline
       Running: rake assets:precompile
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-sass-3.3.7/lib/bootstrap-sass/version.rb:2: warning: already initialized constant Bootstrap::VERSION
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-4.1.3/lib/bootstrap/version.rb:2: warning: previous definition of VERSION was here
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-sass-3.3.7/lib/bootstrap-sass/version.rb:3: warning: already initialized constant Bootstrap::BOOTSTRAP_SHA
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-4.1.3/lib/bootstrap/version.rb:3: warning: previous definition of BOOTSTRAP_SHA was here
       Yarn executable was not detected in the system.
       Download Yarn at https://yarnpkg.com/en/docs/install
       I, [2018-10-31T14:05:58.213666 #1419]  INFO -- : Writing /tmp/build_d87edff4795e58683aa5e3626de5a3f7/public/assets/bicycle-b0065f34bb7db6b7b0a5cf8d177e85276f69b39e791b5fd72a245e8b90e0cc43.jpg
       I, [2018-10-31T14:06:05.048362 #1419]  INFO -- : Writing /tmp/build_d87edff4795e58683aa5e3626de5a3f7/public/assets/application-b2b98178b68108062edcf84d640b496d914a3dab78c660f799ab4c8a54064fcd.js
       I, [2018-10-31T14:06:05.048648 #1419]  INFO -- : Writing /tmp/build_d87edff4795e58683aa5e3626de5a3f7/public/assets/application-b2b98178b68108062edcf84d640b496d914a3dab78c660f799ab4c8a54064fcd.js.gz
       rake aborted!
       Sass::SyntaxError: File to import not found or unreadable: bootstrap-sprockets.
       Load paths:
         /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-4.1.3/assets/stylesheets
         /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-4.1.3/assets/stylesheets
       (sass):1
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:67:in `rescue in import'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:44:in `import'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:28:in `imported_file'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:37:in `css_import?'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:310:in `visit_import'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:36:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:158:in `block in visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/stack.rb:79:in `block in with_base'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/stack.rb:135:in `with_frame'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/stack.rb:79:in `with_base'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:158:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:52:in `block in visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:52:in `map'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:52:in `visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:167:in `block in visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:179:in `with_environment'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:166:in `visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:36:in `block in visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:186:in `visit_root'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:36:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:157:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:10:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/root_node.rb:36:in `css_tree'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/root_node.rb:20:in `render'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/engine.rb:290:in `render'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/sass_compressor.rb:48:in `call'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/sass_compressor.rb:28:in `call'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:75:in `call_processor'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:57:in `block in call_processors'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:56:in `reverse_each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:56:in `call_processors'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:134:in `load_from_unloaded'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:60:in `block in load'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:317:in `fetch_asset_from_dependency_cache'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:44:in `load'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/cached_environment.rb:20:in `block in initialize'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/cached_environment.rb:47:in `load'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/base.rb:66:in `find_asset'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/base.rb:73:in `find_all_linked_assets'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/manifest.rb:142:in `block in find'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:114:in `block (2 levels) in logical_paths'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:228:in `block in stat_tree'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:212:in `block in stat_directory'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:209:in `each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:209:in `stat_directory'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:227:in `stat_tree'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:105:in `each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:105:in `block in logical_paths'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:104:in `each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:104:in `logical_paths'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/manifest.rb:140:in `find'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/manifest.rb:186:in `compile'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:68:in `block (3 levels) in define'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/rake/sprocketstask.rb:147:in `with_logger'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:67:in `block (2 levels) in define'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'

       Caused by:
       Sass::SyntaxError: File to import not found or unreadable: bootstrap-sprockets.
       Load paths:
         /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-4.1.3/assets/stylesheets
         /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/bootstrap-4.1.3/assets/stylesheets
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:65:in `import'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:28:in `imported_file'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/import_node.rb:37:in `css_import?'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:310:in `visit_import'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:36:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:158:in `block in visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/stack.rb:79:in `block in with_base'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/stack.rb:135:in `with_frame'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/stack.rb:79:in `with_base'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:158:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:52:in `block in visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:52:in `map'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:52:in `visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:167:in `block in visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:179:in `with_environment'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:166:in `visit_children'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:36:in `block in visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:186:in `visit_root'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/base.rb:36:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:157:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/visitors/perform.rb:10:in `visit'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/root_node.rb:36:in `css_tree'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/tree/root_node.rb:20:in `render'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sass-3.6.0/lib/sass/engine.rb:290:in `render'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/sass_compressor.rb:48:in `call'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/sass_compressor.rb:28:in `call'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:75:in `call_processor'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:57:in `block in call_processors'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:56:in `reverse_each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/processor_utils.rb:56:in `call_processors'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:134:in `load_from_unloaded'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:60:in `block in load'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:317:in `fetch_asset_from_dependency_cache'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/loader.rb:44:in `load'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/cached_environment.rb:20:in `block in initialize'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/cached_environment.rb:47:in `load'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/base.rb:66:in `find_asset'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/base.rb:73:in `find_all_linked_assets'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/manifest.rb:142:in `block in find'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:114:in `block (2 levels) in logical_paths'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:228:in `block in stat_tree'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:212:in `block in stat_directory'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:209:in `each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:209:in `stat_directory'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/path_utils.rb:227:in `stat_tree'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:105:in `each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:105:in `block in logical_paths'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:104:in `each'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/legacy.rb:104:in `logical_paths'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/manifest.rb:140:in `find'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/sprockets/manifest.rb:186:in `compile'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:68:in `block (3 levels) in define'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-3.7.2/lib/rake/sprocketstask.rb:147:in `with_logger'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:67:in `block (2 levels) in define'
       /tmp/build_d87edff4795e58683aa5e3626de5a3f7/vendor/bundle/ruby/2.5.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'
       Tasks: TOP => assets:precompile
       (See full trace by running task with --trace)
 !
 !     Precompiling assets failed.
 !
 !     Push rejected, failed to compile Ruby app.
 !     Push failed
3
0
494
1
Перейти к ответу Данный вопрос помечен как решенный

Ответы 1

Ответ принят как подходящий

Рельсы 2.0+


Это потому, что вы используете bootstrap-sprockets, но у вас не установлен гем bootstrap-sass.

В основном добавьте в свой Gemfile следующее:

gem 'bootstrap-sass', '~> 3.3.7'
gem 'sass-rails', '>= 3.2'

Затем импортируйте переменные в ваш app/assets/stylesheets/application.scss:

// "bootstrap-sprockets" must be imported before "bootstrap" and "bootstrap/variables"
@import "bootstrap-sprockets";
@import "bootstrap";

Наконец, если вы используете scss, вам необходимо заменить все ваши *= require_self и *= require_tree на @import, чтобы импортировать файлы Sass. Вы можете найти более подробные инструкции по установке здесь: https://github.com/twbs/bootstrap-sass

Rails 4.0+


Для более новых версий направляющих следуйте этой документации: https://github.com/twbs/bootstrap-rubygem#a-ruby-on-rails

  1. добавьте gem 'bootstrap', '~> 4.1.3' в свой Gemfile
  2. добавьте @import "bootstrap"; к вашему app/assets/stylesheets/application.scss
  3. удалите все операторы *= require и *= require_tree из файла Sass, вместо этого используйте @import
  4. добавьте gem 'jquery-rails' в свой Gemfile

Спасибо за ваш ответ, я добавил эти драгоценные камни в gemfile, но получил сообщение об ошибке, в котором говорилось, что существует конфликт между sass rails 3.2 и gem 'sass-rails', где '~> 5.0' находится в том же файле, поэтому я удалил 5.0 линия. Я снова попытался нажать на Heroku, но получил ту же строку. Журнал слишком длинный для публикации, но его нижняя часть выглядит так: remote:! Толчок отклонен на wicked-barrow-70229. удаленный: К git.heroku.com/wicked-barrow-70229.git! [удаленный отклонен] главный -> главный (отклонен предварительный прием) ошибка: не удалось отправить некоторые ссылки на 'git.heroku.com/wicked-barrow-70229.git'

Hardress 31.10.2018 15:11

Нет, не удаляйте строку 5.0! Если вы используете новую версию rails, следуйте этой документации: github.com/twbs/bootstrap-rubygem#a-ruby-on-rails и отмените изменения, которые я предложил ранее.

Joseph Cho 31.10.2018 15:14

Изменится ли что-нибудь из этого, если у меня есть application.css, а не application.scss?

Hardress 31.10.2018 15:21

Да, есть важные изменения. Вам нужно будет сменить application.css на application.scss и удалить *= require и *= require_tree, как в шаге 3.

Joseph Cho 31.10.2018 15:22

Я переименовал application.css в application.scss, удалил * = requireds, добавил @import "bootstrap"; в начало application.scss, и я получаю следующую ошибку, когда пытаюсь связать установку (я думал, что установка пакета необходима всякий раз, когда я обновляю гем-файл) _________________________________________________________ Произошла ошибка при синтаксическом анализе Gemfile: вы не можете указать один и тот же гем дважды с разными требованиями к версии. Вы указали: sass-rails (> = 3.2) и sass-rails (~> 5.0). Bundler не может продолжить.

Hardress 31.10.2018 15:26

Как я уже сказал, отмените предложенные ранее изменения. Вы забыли удалить gem 'sass-rails', '>= 3.2'. Также, пожалуйста, верните строку 5.0, если вы этого не сделали.

Joseph Cho 31.10.2018 15:28

Пожалуйста, отметьте этот вопрос как ответ, если все готово

Joseph Cho 31.10.2018 16:13

Другие вопросы по теме